Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.bufferset
Interface BufferSetListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  BufferSetAdapter, EditPane

    public interface BufferSetListener

extends java.util.EventListener

This is the listener for the BufferSet changes.

Since:
  jEdit 4.3pre15

Method Summary
`void` | `bufferAdded(Buffer buffer, int index)` A buffer was added in the bufferSet.
`void` | `bufferMoved(Buffer buffer, int oldIndex, int newIndex)` A buffer was moved in the BufferSet.
`void` | `bufferRemoved(Buffer buffer, int index)` A buffer was removed from the bufferSet.
`void` | `bufferSetSorted()` The bufferSet was sorted.

Method Detail

### bufferAdded

    void bufferAdded(Buffer buffer,
                     int index)

  A buffer was added in the bufferSet.

  Parameters:
    `buffer` - the buffer
    `index` - the position where it was added

### bufferRemoved

    void bufferRemoved(Buffer buffer,
                       int index)

  A buffer was removed from the bufferSet.

  Parameters:
    `buffer` - the removed buffer
    `index` - the position where the buffer was

### bufferMoved

    void bufferMoved(Buffer buffer,
                     int oldIndex,
                     int newIndex)

  A buffer was moved in the BufferSet.

  Parameters:
    `buffer` - the moved buffer
    `oldIndex` - the old index
    `newIndex` - the new index

### bufferSetSorted

    void bufferSetSorted()

  The bufferSet was sorted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD